TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get messages

GET
/api/v3/messages

Query messages that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

msg_hash?array<string>

Message hash in hex, base64, or base64url form.

body_hash?string

Hash of message body.

source?string

Source account address in hex, base64, or base64url form. Set this parameter to null to return external messages.

destination?string

Destination account address in hex, base64, or base64url form. Set this parameter to null to return log messages.

opcode?string

Opcode of message in hex or signed 32-bit decimal form.

start_utime?integer

Query messages where created_at is at or after the specified timestamp.

end_utime?integer

Query messages where created_at is at or before the specified timestamp.

start_lt?integer

Query messages where created_lt is at or above the specified value.

end_lt?integer

Query messages where created_lt is at or below the specified value.

direction?string

Direction of the message.

exclude_externals?boolean

Exclude external messages.

only_externals?boolean

Return only external messages.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

sort?string

Sort messages by lt. To return the latest messages with sort=desc, set start_lt to 1.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/messages"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "messages": [
    {
      "bounce": true,
      "bounced": true,
      "created_at": "0",
      "created_lt": "0",
      "decoded_opcode": "string",
      "destination": "string",
      "extra_flags": "string",
      "fwd_fee": "0",
      "hash": "string",
      "hash_norm": "string",
      "ihr_disabled": true,
      "ihr_fee": "0",
      "import_fee": "0",
      "in_msg_tx_hash": "string",
      "init_state": {
        "body": "string",
        "decoded": {},
        "hash": "string"
      },
      "message_content": {
        "body": "string",
        "decoded": {},
        "hash": "string"
      },
      "opcode": 0,
      "out_msg_tx_hash": "string",
      "source": "string",
      "value": "0",
      "value_extra_currencies": {
        "property1": "string",
        "property2": "string"
      }
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}